Debian Bug report logs - #602289
powertop: Powertop crashes after a few seconds from start

version graph

Package: powertop; Maintainer for powertop is Jose Luis Rivas <ghostbar@debian.org>; Source for powertop is src:powertop.

Reported by: Mikolaj Menke <miki@menek.one.pl>

Date: Wed, 3 Nov 2010 11:45:01 UTC

Severity: important

Tags: patch

Merged with 610101

Found in version powertop/1.11-1

Fixed in versions powertop/1.97-1, powertop/1.11-1+squeeze1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#602289; Package powertop. (Wed, 03 Nov 2010 11:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikolaj Menke <miki@menek.one.pl>:
New Bug report received and forwarded. Copy sent to Patrick Winnertz <winnie@debian.org>. (Wed, 03 Nov 2010 11:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mikolaj Menke <miki@menek.one.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: powertop: Powertop crashes after a few seconds from start
Date: Wed, 03 Nov 2010 12:17:28 +0100
Package: powertop
Version: 1.11-1
Severity: normal


Powertop crashes with 'segmentation fault' after a few seconds from start. It
collects data for 5 seconds and then stops with forementioned error.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.36-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=pl_PL.utf8, LC_CTYPE=pl_PL.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages powertop depends on:
ii  libc6                  2.11.2-6+squeeze1 Embedded GNU C Library: Shared lib
ii  libncursesw5           5.7+20100313-4    shared libraries for terminal hand

powertop recommends no packages.

Versions of packages powertop suggests:
ii  cpufrequtils                  007-1      utilities to deal with the cpufreq
pn  laptop-mode-tools             <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#602289; Package powertop. (Thu, 11 Nov 2010 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Premysl Hruby <dfenze@gmail.com>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Thu, 11 Nov 2010 11:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 602289@bugs.debian.org (full text, mbox):

From: Premysl Hruby <dfenze@gmail.com>
To: 602289@bugs.debian.org
Subject: powertop: Powertop crashes after a few seconds from start
Date: Thu, 11 Nov 2010 12:52:45 +0100
Hi,

I have that same problem too, I'd rebuild powertop with debug symbols
and found where the problem lies:

in config.c there's staticaly defined aray (configlines) used to hold kernel config,
with 5000 lines tops, but current (2.6.35-trunk) kernel for amd64 has
5046 lines of config, but that limit of array is never checked.

Quick check is to raise the array size and add some form of limit check.

-Ph


-- 
Premysl "Anydot" Hruby, http://www.redrum.cz/
-
I'm a signature virus. Please add me to your signature and help me spread!




Forcibly Merged 602289 610101. Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Fri, 11 Mar 2011 12:33:06 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions powertop/1.97-1. Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Fri, 18 Mar 2011 07:51:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#602289; Package powertop. (Wed, 01 Feb 2012 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Wed, 01 Feb 2012 13:12:03 GMT) Full text and rfc822 format available.

Message #19 received at 602289@bugs.debian.org (full text, mbox):

From: Jerome Warnier <jwarnier@beeznest.net>
To: <602289@bugs.debian.org>
Subject: powertop: Powertop crashes after a few seconds from start
Date: Wed, 01 Feb 2012 13:27:06 +0100
This one should be merged with #646522 as well.

Just my .2€




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Jul 2012 07:25:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:06:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.